"use strict";

module.exports = {
    validateColumnHeader : function(dataObject, columnsLabels){
        var isHeader = true;
        if (dataObject.length > 0 && columnsLabels && dataObject[0].length === columnsLabels.length){
            for (var i = 0 ; i < dataObject[0].length ; i++){
                if (dataObject[0][i] !== columnsLabels[i]) {
                    isHeader = false;
                    break;
                }
            }
        }else{
            isHeader = false;
        }

        return isHeader;
    }
};